Subject: Re: bug#40273: installer: No way to input Latin characters with non-Latin keyboard layouts

From: Ludovic Courtès <[email-masked]>
Date: Sun, 05 Apr 2020 23:26:15 +0200

Hi,

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> On Sun, Apr 05, 2020 at 04:03:54PM +0200, Ludovic Courtès wrote:
>> Can you confirm you see this problem?
>
> In my actual system configuration I have French layout in GDM and
> console with today’s git master.  No problem.  I changed:

Nevermind, I found out what the problem was:

  https://issues.guix.gnu.org/issue/40456

:-/

> In QEMU guix system vm, I cannot get GDM to display more than a mouse
> pointer no matter the graphics options I try (-vga std or cirrus or
> nomodeset+uvesafb).  This is an unrelated bug, probably not Guix’
> fault, though I had not tried GDM in QEMU before.  I wanted to try
> guix system vm-image (expecting another GDM failure), but after many
> hours building the vm-image failed because I had misconfigured the
> bootloader EFI file-system.

Weird.  ‘guix system vm’ works rather quickly for me and it can display
GDM just fine.

Ludo’.